Bug 150073 - postalias segfault
postalias segfault
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: postfix (Show other bugs)
3
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-01 23:55 EST by H.J. Lu
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-18 15:29:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description H.J. Lu 2005-03-01 23:55:47 EST
[root@pond postfix]# /usr/sbin/postalias hash:/etc/aliases
Segmentation fault
[root@pond postfix]#
[root@pond postfix]# rpm -qf /usr/sbin/postalias
postfix-2.1.5-2.4.FC3
[root@pond postfix]# ypcat -k aliases
postmaster root
usenet news
mailer-daemon postmaster
gopher root
bin root
ftp-adm ftp
manager root
ftpadmin ftp
ftp root
shutdown root
system root
newsadm news
nobody root
xfs root
lp root
ftp-admin ftp
newsadmin news
halt root
daemon root
postgres root
@ @
rpc root
dumper root
abuse root
games root
squid root
ftpadm ftp
apache root
mail root
gdm root
sync root
news root
named root
decode root
operator root
mailnull root
ingres root
adm root
uucp root
rpcuser root
toor root
Comment 1 Gerald HERMANT 2005-03-06 11:59:04 EST
I have same problem only with a bad hostname.
Look result of hostname commande
and check if you have this in /etc/hosts or resolve it via dns

after this it work well.

strace postalias ... => You can see that postalias crash during dns
resolution.

Gerald HERMANT
Comment 2 H.J. Lu 2005-03-18 15:29:29 EST
postfix-2.1.5-5 works fine.

Note You need to log in before you can comment on or make changes to this bug.